Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 185325 - Review Request: sparse
Summary: Review Request: sparse
Keywords:
Status: CLOSED DUPLICATE of bug 212513
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-03-13 19:26 UTC by bkyoung
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-30 06:10:33 UTC


Attachments (Terms of Use)
Sparse RPM spec file (deleted)
2006-03-13 19:28 UTC, bkyoung
no flags Details
Generate shared objects patch (deleted)
2006-03-13 19:28 UTC, bkyoung
no flags Details | Diff
Adds sparse support to kernel-2.6 (2041) (deleted)
2006-03-13 19:29 UTC, bkyoung
no flags Details | Diff
Sparse RPM spec file (deleted)
2006-03-14 16:31 UTC, bkyoung
no flags Details
Generate shared objects patch (deleted)
2006-03-14 16:32 UTC, bkyoung
no flags Details | Diff
Adds sparse support to kernel-2.6 (2054) (deleted)
2006-03-16 17:26 UTC, bkyoung
no flags Details | Diff
Sparse RPM spec file (deleted)
2006-03-16 17:27 UTC, bkyoung
no flags Details
Generate shared objects patch (deleted)
2006-03-16 17:27 UTC, bkyoung
no flags Details | Diff

Description bkyoung 2006-03-13 19:26:44 UTC
Spec Name or Url: Attached as sparse.spec
SRPM Name or Url: Must build separately
Description: A C semantic parser.

While flailing and failing to resolve a kernel issue, I followed this "sparse" tangent and now have a sparse RPM for Fedora.

The Linux kernel build system directly supports sparse, and including it in Fedora Extras would be a convenience to anyone wishing to attempt to use it.

Because of compat-i386.c, the spec file may require:
ExclusiveArch:i386

The license is OSL V1.1, but exemptions included in the license imply executables linking to the library itself (sparse) are not considered "Original Work".

A kernel-2.6.spec.patch (for kernel-smp-2.6.15-1.2041) is attached to provide a convenient way to use sparse when rebuilding the kernel.

Attached are:
sparse.spec
sparse-0.1-Makefile.patch
kernel-2.6.spec.patch

To git (from git-core) tarball:
git clone git://git.kernel.org/pub/scm/devel/sparse/sparse.git
cd sparse
git-tar-tree HEAD sparse-0.1 | gzip > ../sparse-0.1.tar.gz

rpmlint output:
W: sparse invalid-license OSL
W: sparse-debuginfo invalid-license OSL
W: sparse-debuginfo objdump-failed 
W: sparse-devel invalid-license OSL

Comment 1 bkyoung 2006-03-13 19:28:05 UTC
Created attachment 126063 [details]
Sparse RPM spec file

Comment 2 bkyoung 2006-03-13 19:28:57 UTC
Created attachment 126064 [details]
Generate shared objects patch

Comment 3 bkyoung 2006-03-13 19:29:47 UTC
Created attachment 126065 [details]
Adds sparse support to kernel-2.6 (2041)

Comment 4 bkyoung 2006-03-14 16:31:49 UTC
Created attachment 126107 [details]
Sparse RPM spec file

Comment 5 bkyoung 2006-03-14 16:32:39 UTC
Created attachment 126108 [details]
Generate shared objects patch

Comment 6 bkyoung 2006-03-16 17:26:40 UTC
Created attachment 126234 [details]
Adds sparse support to kernel-2.6 (2054)

Comment 7 bkyoung 2006-03-16 17:27:09 UTC
Created attachment 126235 [details]
Sparse RPM spec file

Comment 8 bkyoung 2006-03-16 17:27:49 UTC
Created attachment 126236 [details]
Generate shared objects patch

Comment 9 Hans de Goede 2006-05-19 16:37:23 UTC
I think its great that you've created a spare package and waht to make this
available to others through FE. But first you really should learn some stuff
about FE procedures. I didn't find your bkyoung account in onwers.list, so I
assume that this is your first package.

To become an FE packager you must follow the following procedure:
http://fedoraproject.org/wiki/Extras/Contributors

As is Outlined in the "Create Your Review Request" step you should have added
the FE-NEEDSPONSOR blocker bug, since this is your first package.

Please read the above page, the packaging guidelines and the review procedure
wikipages thoroughly so that you can learn and understant the FE process /
procedures.

Also it is uncommon for package reviewers to have to put all the pieces like a
git checkout and all your attachments together themselves. Instead create a
.src.rpm file (rpmbuild -bs sparse.spec) upload that somewhere and put an URL in
the review request (iow here in BZ).


Comment 10 Jason Tibbitts 2006-07-20 20:00:44 UTC
Anything happening here?  It's been two months.

Comment 11 Jason Tibbitts 2006-10-27 05:09:32 UTC

*** This bug has been marked as a duplicate of 212513 ***


Note You need to log in before you can comment on or make changes to this bug.